Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSEditableContact Class Reference

Mutable contact object which exposes all provided contact details. More...

`#import <CSEditableContact.h>`

Inherits NSObject, and <CSContact>.

## Instance Methods
(BOOL) | - canAddPhoneNumberOfType:
(BOOL) | - canAddEmailAddressOfType:

## Properties
NSString * | uniqueAddressForMatching
| The matching/merging address. More...
CSEditableContactStringField * | asciiLastName
| The non-localized last name. More...
CSEditableContactStringField * | asciiFirstName
| The non-localized first name. More...
CSEditableContactStringField * | asciiDisplayName
| The non-localized display name. More...
CSEditableContactStringField * | asciiAlias
| The non-localized alias. More...
CSEditableContactStringField * | firstName
| The native first name. More...
CSEditableContactStringField * | lastName
| The native last name. More...
CSEditableContactStringField * | displayName
| The native display name. More...
CSEditableContactStringField * | alias
| The native alias. More...
CSEditableContactStringField * | streetAddress
| The street address. More...
CSEditableContactStringField * | city
| The city. More...
CSEditableContactStringField * | state
| The state. More...
CSEditableContactStringField * | country
| The country. More...
CSEditableContactStringField * | postalCode
| The postal code. More...
CSEditableContactStringField * | manager
| The name of a person who is a supervisor. More...
CSEditableContactStringField * | title
| The title or company role. More...
CSEditableContactStringField * | language
| The language is per contact record. More...
CSEditableContactStringField * | company
| The company. More...
CSEditableContactStringField * | department
| The department. More...
CSEditableContactStringField * | notes
| The notes field. More...
CSEditableContactDoubleField * | rank
| The rank field defining the contact sorting order. More...
CSEditableContactStringFieldList * | custom1
| The list of custom1 values. More...
CSEditableContactStringFieldList * | custom2
| The list of custom2 values. More...
CSEditableContactStringFieldList * | custom3
| The list of custom3 values. More...
CSEditableContactStringField * | location
| The location. More...
CSEditableContactPhoneFieldList * | phoneNumbers
| The list of phone numbers. More...
CSEditableContactEmailFieldList * | emailAddresses
| The list of email addresses. More...
CSEditableContactIMAddressFieldList * | IMAddresses
| Contact's list of instant messaging addresses. More...
CSEditableContactBoolField * | favorite
| The favorite flag. More...
CSEditableContactBoolField * | isBuddy
| The buddy flag. More...
CSEditableContactBoolField * | isVIP
| The VIP flag. More...
CSContactBoolField * | videoCapable
BOOL | isContactSavable
| Returns Contact capabilities to save the current state of the contact. More...
BOOL | isExtendedContactDetailsAvailable
BOOL | canAddEmailAddress
BOOL | canAddIMAddress
NSDictionary * | extraFields
| The list extra fields used for local contacts. More...
Properties inherited from <CSContact>
NSString * | uniqueAddressForMatching
| The matching/merging address. More...
CSContactStringField * | asciiLastName
| The non-localized last name. More...
CSContactStringField * | asciiFirstName
| The non-localized first name. More...
CSContactStringField * | asciiDisplayName
| The non-localized display name. More...
CSContactStringField * | asciiAlias
| The non-localized alias. More...
CSContactStringField * | firstName
| The native first name. More...
CSContactStringField * | lastName
| The native last name. More...
CSContactStringField * | displayName
| The native display name. More...
CSContactStringField * | alias
| The native alias. More...
CSContactStringField * | streetAddress
| The street address. More...
CSContactStringField * | city
| The city. More...
CSContactStringField * | state
| The state. More...
CSContactStringField * | country
| The country. More...
CSContactStringField * | postalCode
| The postal code. More...
CSContactStringField * | manager
| The name of a person who is a supervisor. More...
CSContactStringField * | title
| The title or company role. More...
CSContactStringField * | language
| The language is per contact record. More...
CSContactStringField * | company
| The company. More...
CSContactStringField * | department
| The department. More...
CSContactStringField * | notes
| The notes field. More...
CSContactDoubleField * | rank
| The rank field defining the contact sorting order. More...
CSContactStringFieldList * | custom1
| The list of custom1 values. More...
CSContactStringFieldList * | custom2
| The list of custom2 values. More...
CSContactStringFieldList * | custom3
| The list of custom3 values. More...
CSContactStringField * | location
| The location. More...
CSContactPhoneFieldList * | phoneNumbers
| The list of phone numbers. More...
CSContactEmailFieldList * | emailAddresses
| The list of email addresses. More...
CSContactIMAddressFieldList * | IMAddresses
| Contact's list of instant messaging addresses. More...
CSContactBoolField * | favorite
| The favorite flag. More...
CSContactBoolField * | isBuddy
| The buddy flag. More...
CSContactBoolField * | isVIP
| The VIP flag. More...
CSContactBoolField * | videoCapable
BOOL | isExtendedContactDetailsAvailable
BOOL | canAddEmailAddress
BOOL | canAddIMAddress
NSDictionary * | extraFields
| The list extra fields used for local contacts. More...

## Detailed Description

Mutable contact object which exposes all provided contact details.

CSEditableContact can be created by using either createEditableContact (CSContactService) or createEditableContactFromContact: (CSContactService). Second method needs a regular contact as a source for data.

EditableContact can be used in two contact service methods - addContact:completionHandler: (CSContactService) and updateContact:completionHandler: (CSContactService).

## Method Documentation

- (BOOL) canAddEmailAddressOfType: |  | (CSContactEmailAddressType) | type |

- (BOOL) canAddPhoneNumberOfType: |  | (CSContactPhoneNumberType) | type |

Reimplemented from <CSContact>.

## Property Documentation

- (CSEditableContactStringField*) alias
| read nonatomic assign

The native alias.

Returns
  Contact string field containing the native alias.

- (CSEditableContactStringField*) asciiAlias
| read nonatomic assign

The non-localized alias.

Returns
  Contact string field containing a non-localized alias.

- (CSEditableContactStringField*) asciiDisplayName
| read nonatomic assign

The non-localized display name.

Returns
  Contact string field containing non-localized display name.

- (CSEditableContactStringField*) asciiFirstName
| read nonatomic assign

The non-localized first name.

Returns
  Contact string field containing non-localized first name.

- (CSEditableContactStringField*) asciiLastName
| read nonatomic assign

The non-localized last name.

Returns
  Contact string field containing non-localized last name.

- (BOOL) canAddEmailAddress
| read nonatomic assign

- (BOOL) canAddIMAddress
| read nonatomic assign

- (CSEditableContactStringField*) city
| read nonatomic assign

The city.

Returns
  Contact string field containing the city.

- (CSEditableContactStringField*) company
| read nonatomic assign

The company.

Returns
  Contact string field containing the company.

- (CSEditableContactStringField*) country
| read nonatomic assign

The country.

Returns
  Contact string field containing the country.

- (CSEditableContactStringFieldList*) custom1
| read nonatomic assign

The list of custom1 values.

Returns
  list of custom1 values.

- (CSEditableContactStringFieldList*) custom2
| read nonatomic assign

The list of custom2 values.

Returns
  list of custom2 values.

- (CSEditableContactStringFieldList*) custom3
| read nonatomic assign

The list of custom3 values.

Returns
  list of custom3 values.

- (CSEditableContactStringField*) department
| read nonatomic assign

The department.

Returns
  Contact string field containing the department.

- (CSEditableContactStringField*) displayName
| read nonatomic assign

The native display name.

Returns
  Contact string field containing the native display name.

- (CSEditableContactEmailFieldList*) emailAddresses
| read nonatomic assign

The list of email addresses.

Returns
  Contact multi value field containing list of email addresses.

- (NSDictionary*) extraFields
| read nonatomic assign

The list extra fields used for local contacts.

Returns empty NSDictionary.

- (CSEditableContactBoolField*) favorite
| read nonatomic assign

The favorite flag.

Returns
  Contact bool field containing the favorite flag.

- (CSEditableContactStringField*) firstName
| read nonatomic assign

The native first name.

Returns
  Contact string field containing the native first name.

- (CSEditableContactIMAddressFieldList*) IMAddresses
| read nonatomic assign

Contact's list of instant messaging addresses.

Returns
  Contact multi value field containing list of instant messaging addresses..

- (CSEditableContactBoolField*) isBuddy
| read nonatomic assign

The buddy flag.

Used for presence feature purpose.

Returns
  Contact bool field containing the buddy flag.

- (BOOL) isContactSavable
| read nonatomic assign

Returns Contact capabilities to save the current state of the contact.

1. A savable contact has 1 name (first, last), and at least 1 address (phone number, email).
2. Also cannot break any rules for the maximum number of phone numbers, email addresses etc. for a provider.
   Returns
     YES if it's possible to save Contact with current state of values, NO if not.

- (BOOL) isExtendedContactDetailsAvailable
| read nonatomic assign

- (CSEditableContactBoolField*) isVIP
| read nonatomic assign

The VIP flag.

Returns
  Contact bool field containing the VIP flag.

- (CSEditableContactStringField*) language
| read nonatomic assign

The language is per contact record.

Returns
  Contact string field containing the language is per contact record.

- (CSEditableContactStringField*) lastName
| read nonatomic assign

The native last name.

Returns
  Contact string field containing the native last name.

- (CSEditableContactStringField*) location
| read nonatomic assign

The location.

Returns
  Contact string field containing the location.

- (CSEditableContactStringField*) manager
| read nonatomic assign

The name of a person who is a supervisor.

Returns
  Contact string field containing the name of a person who is a supervisor.

- (CSEditableContactStringField*) notes
| read nonatomic assign

The notes field.

Returns
  Contact string field containing the notes field.

- (CSEditableContactPhoneFieldList*) phoneNumbers
| read nonatomic assign

The list of phone numbers.

Returns
  Contact multi value field containing list of phone numbers.

- (CSEditableContactStringField*) postalCode
| read nonatomic assign

The postal code.

Returns
  Contact string field containing the postal code.

- (CSEditableContactDoubleField*) rank
| read nonatomic assign

The rank field defining the contact sorting order.

Returns
  Non-negative double value. 0.0 value means "No rank".

- (CSEditableContactStringField*) state
| read nonatomic assign

The state.

Returns
  Contact string field containing the state.

- (CSEditableContactStringField*) streetAddress
| read nonatomic assign

The street address.

Returns
  Contact string field containing the street address.

- (CSEditableContactStringField*) title
| read nonatomic assign

The title or company role.

Returns
  Contact string field containing the title or company role.

- (NSString*) uniqueAddressForMatching
| read nonatomic assign

The matching/merging address.

That parameter can be used as a record’s unique id.

Returns
  Contact string field containing the matching/merging address.

- (CSContactBoolField*) videoCapable
| read nonatomic assign

The documentation for this class was generated from the following file:

- CSEditableContact.h